be.vlaanderen.mercurius.mohm.common.v7

## Enum DeliveryStatusType

- java.lang.Object
- - java.lang.Enum<DeliveryStatusType>
  - - be.vlaanderen.mercurius.mohm.common.v7.DeliveryStatusType

- All Implemented Interfaces:
    Serializable, Comparable<DeliveryStatusType>

      public enum DeliveryStatusType
      extends Enum<DeliveryStatusType>

  Java class for DeliveryStatusType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="DeliveryStatusType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="Received"/>
           <enumeration value="In_error"/>
           <enumeration value="Under_consideration"/>
           <enumeration value="Accepted"/>
           <enumeration value="Refused"/>
           <enumeration value="Canceled"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` De aflevering is aanvaard.
    `CANCELED` De aflevering is geannuleerd
    `IN_ERROR` De aflevering is in fout gegaan en zal niet verder verwerkt worden.
    `RECEIVED` De aflevering is succesvol ontvangen.
    `REFUSED` De aflevering is geweigerd.
    `UNDER_CONSIDERATION` De aflevering is in beraad.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeliveryStatusType` | `fromValue(String v)`
    `String` | `value()`
    `static DeliveryStatusType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeliveryStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECEIVED

          public static final DeliveryStatusType RECEIVED

      De aflevering is succesvol ontvangen.

    - #### IN_ERROR

          public static final DeliveryStatusType IN_ERROR

      De aflevering is in fout gegaan en zal niet verder verwerkt worden.

    - #### UNDER_CONSIDERATION

          public static final DeliveryStatusType UNDER_CONSIDERATION

      De aflevering is in beraad.

    - #### ACCEPTED

          public static final DeliveryStatusType ACCEPTED

      De aflevering is aanvaard.

    - #### REFUSED

          public static final DeliveryStatusType REFUSED

      De aflevering is geweigerd.

    - #### CANCELED

          public static final DeliveryStatusType CANCELED

      De aflevering is geannuleerd

  - ### Method Detail

    - #### values

          public static DeliveryStatusType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeliveryStatusType c : DeliveryStatusType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeliveryStatusType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static DeliveryStatusType fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.